create feature group in the 2nd place in PNT

Hi,
I'll share piece of code to find all breps in the part and put it in a feature group.
My question is how can I place this featuregroup at timestamp at a specific number.
TIA

Option Strict Off
Imports System
Imports System.Collections
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.Features
Imports NXOpen.Utilities

Module NXJournal
Dim s As Session = Session.GetSession()
Dim ufs As UFSession = UFSession.GetUFSession()
DIM lw As ListingWindow = s.ListingWindow
Sub Main()

Dim toBeGrouped() As Features.Feature = getFeatures
Dim featTags(toBeGrouped.Length - 1) As Tag
Dim latestTimestamp As Integer = 0
Dim latestFeature As Features.Feature = Nothing
Dim oldLatest As Tag = Nothing
ufs.Modl.AskCurrentFeature(s.Parts.Work.Tag, oldLatest)

For ii As Integer = 0 To toBeGrouped.Length - 1
featTags(ii) = toBeGrouped(ii).Tag
If toBeGrouped(ii).Timestamp > latestTimestamp Then
latestTimestamp = toBeGrouped(ii).Timestamp
latestFeature = toBeGrouped(ii)
End If
Next
latestFeature.MakeCurrentFeature()
Dim fGroup As Tag = Tag.Null
ufs.Modl.CreateSetOfFeature("ORPHANS", featTags, toBeGrouped.Length, 1, fGroup)

latestFeature = NXObjectManager.Get(oldLatest)
latestFeature.MakeCurrentFeature()

End Sub

Function getFeatures

dim gotFeature As ArrayList = New ArrayList
Dim feats As Features.FeatureCollection = s.Parts.Display.Features

For Each feat As Feature In feats
Try
'lw.WriteLine("type: " & feat.FeatureType)
if feat.FeatureType = "BREP" then
gotFeature.add(feat)
END IF
Catch ex As Exception
'do something with exception
End Try
Next
'lw.WriteLine("Field size: " & gotfeature.Count)
return gotfeature.ToArray(GetType(Features.Feature))
End Function

Public Function GetUnloadOption(ByVal dummy As String) As Integer
Return CType(Session.LibraryUnloadOption.Immediately, Integer)
End Function
End Module

In interactive NX, you would either use 'make current feature' to roll back to where you want the feature group created or create the feature group at the end of the feature tree and reorder it where you want.

I would try to do the same thing, but in code. From the code you posted, you already know how to use the .MakeCurrentFeature method; there is also a .ReorderFeature method available for use.